/* -*- C++ -*-
 * 
 * Copyright (c) 1999 Joe Yandle <joe@wlcg.com>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef GTKMESSAGEWIN
#define GTKMESSAGEWIN

#include "defs.h"

class GtkMessageWin : public Gtk_Dialog
{
public:
    GtkMessageWin();
    GtkMessageWin(const StringVector& s);
    GtkMessageWin(const StringVector& s, int t);

private:
    void deleteSelf();
    gint deleteSelf2();
    
    Gtk_Label label1, label2;
    Gtk_HBox hbox1, hbox2;

    Gtk_VBox vbox;

    Connection timeCon;
    
    Gtk_Button okButton;
    Gtk_Button caButton;
    StringVector messages;

};

#endif
