/* -*- C++ -*-
 * MsqlDatabase,h - header file for class MsqlDatabase
 * Copyright (c) 1999 Joe Yandle <yandle@cs.unc.edu>
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 * 
 */

#ifndef MSQLDATABASE_H
#define MSQLDATABASE_H

#include "Database.h"
#include "msql.h"

class MsqlDatabase : public Database
{
 public:
    virtual bool open();
    virtual bool useSeq();
    virtual String escapeArg(String arg);
    virtual ResultSet* executeQuery(String sql);
    virtual void executeUpdate(String sql);

 private:
    int sock;
};

#endif
